Bug 1284455 - vmwareapi instance resize leads to the vm being cloned
vmwareapi instance resize leads to the vm being cloned
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
x86_64 Linux
high Severity high
: async
: 6.0 (Juno)
Assigned To: Lee Yarwood
nlevinki
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 06:50 EST by Lee Yarwood
Modified: 2016-01-15 10:13 EST (History)
13 users (show)

See Also:
Fixed In Version: openstack-nova-2014.2.3-45.el7ost
Doc Type: Bug Fix
Doc Text:
Cause: VMware guests would be cloned when resizing an instance using the vmwareapi backend. Consequence: As a result of cloning the underlying VMware guest volumes would be copied across datastores and ephemeral disks placed on inaccessible datastores. Fix: To correct this vmwareapi now resizes the VMware guest in place without cloning. Result: Resizing instances no longer clones the underlying VMware guest leaving volumes and ephemeral disks in place. Note: To upgrade to this version please ensure no active resize operations are in progress.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 17:07:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Yarwood 2015-11-23 06:50:41 EST
Description of problem:

An instance resize using vmwareapi leads to the associated instance VM being cloned. This in turn copies any attached volume vmdk files into instance instead of using a shadow VM that itself can be stored on a separate datastore to the instance.

This issue and many others relating to the cloning of the VM during a resize were addressed in Kilo by the following change :

VMware: address instance resize problems
https://review.openstack.org/#/c/145007/

Version-Release number of selected component (if applicable):
openstack-nova-api-2014.2.3-25.el7ost.noarch
openstack-nova-cert-2014.2.3-25.el7ost.noarch
openstack-nova-common-2014.2.3-25.el7ost.noarch
openstack-nova-compute-2014.2.3-25.el7ost.noarch
openstack-nova-conductor-2014.2.3-25.el7ost.noarch
openstack-nova-console-2014.2.3-25.el7ost.noarch
openstack-nova-novncproxy-2014.2.3-25.el7ost.noarch
openstack-nova-scheduler-2014.2.3-25.el7ost.noarch
python-nova-2014.2.3-25.el7ost.noarch
python-novaclient-2.20.0-1.el7ost.noarch

How reproducible:
Always.

Steps to Reproduce:
1. resize vmwareapi instance.


Actual results:
VMWare VM is cloned causing any attached volume vmdk files to be copied into the instance instead of using a shadow VM.

Expected results:
VMWare VM is not cloned and only resized.

Additional info:
Comment 14 Lon Hohberger 2016-01-12 17:07:45 EST
openstack-nova-2014.2.3-48.el7ost was shipped live, which contains a fix for this issue.  If this issue is not addressed, please reopen this bugzilla or file a new one.

Note You need to log in before you can comment on or make changes to this bug.